org.apache.xalan.trace

## Class SelectionEvent

- java.lang.Object
- - org.apache.xalan.trace.SelectionEvent

- All Implemented Interfaces:
    java.util.EventListener
  Direct Known Subclasses:
    EndSelectionEvent

      public class SelectionEvent
      extends java.lang.Object
      implements java.util.EventListener

  Event triggered by selection of a node in the style stree.
  Usage:
    **For advanced use only**

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `m_attributeName` The attribute name from which the selection is made.
    `TransformerImpl` | `m_processor` The XSLT processor instance.
    `XObject` | `m_selection` The result of the selection.
    `Node` | `m_sourceNode` The current context node.
    `ElemTemplateElement` | `m_styleNode` The node in the style tree where the event occurs.
    `XPath` | `m_xpath` The XPath that executed the selection.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectionEvent(TransformerImpl processor, Node sourceNode, ElemTemplateElement styleNode, java.lang.String attributeName, XPath xpath, XObject selection)` Create an event originating at the given node of the style tree.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_styleNode

          public final ElemTemplateElement m_styleNode

      The node in the style tree where the event occurs.

    - #### m_processor

          public final TransformerImpl m_processor

      The XSLT processor instance.

    - #### m_sourceNode

          public final Node m_sourceNode

      The current context node.

    - #### m_attributeName

          public final java.lang.String m_attributeName

      The attribute name from which the selection is made.

    - #### m_xpath

          public final XPath m_xpath

      The XPath that executed the selection.

    - #### m_selection

          public final XObject m_selection

      The result of the selection.

  - ### Constructor Detail

    - #### SelectionEvent

          public SelectionEvent(TransformerImpl processor,
                        Node sourceNode,
                        ElemTemplateElement styleNode,
                        java.lang.String attributeName,
                        XPath xpath,
                        XObject selection)

      Create an event originating at the given node of the style tree.
      Parameters:
        `processor` - The XSLT TransformerFactory.
        `sourceNode` - The current context node.
        `styleNode` - node in the style tree reference for the event. Should not be null. That is not enforced.
        `attributeName` - The attribute name from which the selection is made.
        `xpath` - The XPath that executed the selection.
        `selection` - The result of the selection.

Copyright © 2014 Apache XML Project. All Rights Reserved.